aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.GetIdentityVerificationAttributes

Synopsis

- data GetIdentityVerificationAttributes = GetIdentityVerificationAttributes [Text]
- data GetIdentityVerificationAttributesResponse = GetIdentityVerificationAttributesResponse [IdentityVerificationAttributes]
- data IdentityVerificationAttributes = IdentityVerificationAttributes {
  - ivIdentity :: Text
  - ivVerificationStatus :: Text
  - ivVerificationToken :: Maybe Text
  }

# Documentation

data GetIdentityVerificationAttributes #

Get verification status for a list of email addresses and/or domains

Constructors

GetIdentityVerificationAttributes [Text] |

#### Instances

Instances details

SignQuery GetIdentityVerificationAttributes # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type ServiceConfiguration GetIdentityVerificationAttributes |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ServiceConfiguration GetIdentityVerificationAttributes = SesConfiguration

Methods

signQuery :: GetIdentityVerificationAttributes -> ServiceConfiguration GetIdentityVerificationAttributes queryType -> SignatureData -> SignedQuery #

Show GetIdentityVerificationAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes Methods showsPrec :: Int -> GetIdentityVerificationAttributes -> ShowS # show :: GetIdentityVerificationAttributes -> String # showList :: [GetIdentityVerificationAttributes] -> ShowS #
Eq GetIdentityVerificationAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes Methods (==) :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Bool # (/=) :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Bool #
Ord GetIdentityVerificationAttributes # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Methods

compare :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Ordering #

(<) :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Bool #

(<=) :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Bool #

(>) :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Bool #

(>=) :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Bool #

max :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes #

min :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes #

ResponseConsumer GetIdentityVerificationAttributes GetIdentityVerificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type ResponseMetadata GetIdentityVerificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ResponseMetadata GetIdentityVerificationAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityVerificationAttributes -> IORef (ResponseMetadata GetIdentityVerificationAttributesResponse) -> HTTPResponseConsumer GetIdentityVerificationAttributesResponse #

Transaction GetIdentityVerificationAttributes GetIdentityVerificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes
type ServiceConfiguration GetIdentityVerificationAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ServiceConfiguration GetIdentityVerificationAttributes = SesConfiguration

data GetIdentityVerificationAttributesResponse #

The response sent back by Amazon SES after a `GetIdentityVerificationAttributes` command.

Constructors

GetIdentityVerificationAttributesResponse [IdentityVerificationAttributes] |

#### Instances

Instances details

AsMemoryResponse GetIdentityVerificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type MemoryResponse GetIdentityVerificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type MemoryResponse GetIdentityVerificationAttributesResponse = GetIdentityVerificationAttributesResponse

Methods

loadToMemory :: GetIdentityVerificationAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityVerificationAttributesResponse) #

Show GetIdentityVerificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes Methods showsPrec :: Int -> GetIdentityVerificationAttributesResponse -> ShowS # show :: GetIdentityVerificationAttributesResponse -> String # showList :: [GetIdentityVerificationAttributesResponse] -> ShowS #
Eq GetIdentityVerificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes Methods (==) :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Bool # (/=) :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Bool #
Ord GetIdentityVerificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Methods

compare :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Ordering #

(<) :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Bool #

(<=) :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Bool #

(>) :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Bool #

(>=) :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Bool #

max :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse #

min :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse #

ResponseConsumer GetIdentityVerificationAttributes GetIdentityVerificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type ResponseMetadata GetIdentityVerificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ResponseMetadata GetIdentityVerificationAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityVerificationAttributes -> IORef (ResponseMetadata GetIdentityVerificationAttributesResponse) -> HTTPResponseConsumer GetIdentityVerificationAttributesResponse #

Transaction GetIdentityVerificationAttributes GetIdentityVerificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes
type MemoryResponse GetIdentityVerificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type MemoryResponse GetIdentityVerificationAttributesResponse = GetIdentityVerificationAttributesResponse
type ResponseMetadata GetIdentityVerificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ResponseMetadata GetIdentityVerificationAttributesResponse = SesMetadata

data IdentityVerificationAttributes #

Constructors

IdentityVerificationAttributes |

Fields

- ivIdentity :: Text
- ivVerificationStatus :: Text
- ivVerificationToken :: Maybe Text

#### Instances

Instances details

Show IdentityVerificationAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes Methods showsPrec :: Int -> IdentityVerificationAttributes -> ShowS # show :: IdentityVerificationAttributes -> String # showList :: [IdentityVerificationAttributes] -> ShowS #
Eq IdentityVerificationAttributes # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes Methods (==) :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Bool # (/=) :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Bool #
Ord IdentityVerificationAttributes # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Methods

compare :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Ordering #

(<) :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Bool #

(<=) :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Bool #

(>) :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Bool #

(>=) :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Bool #

max :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> IdentityVerificationAttributes #

min :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> IdentityVerificationAttributes #